#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN13nNIFRESNEL10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN13nNIFRESNEL10017getCurrentVersionERi);
extern int _ZN13nNIFRESNEL10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN13nNIFRESNEL10026getOldestCompatibleVersionERi);
/* _ZN13nNIFRESNEL10014compareVersionERK10tSSVersionS2_RiPKc=_abd04a6cb6c0e7e90f81be7f642f5323 */
extern int _abd04a6cb6c0e7e90f81be7f642f5323;
nNIKAL100_mExportSymbol(_abd04a6cb6c0e7e90f81be7f642f5323);
/* _ZN13nNIFRESNEL10023tFresnelTransferManager19stopTransferManagerERN10nNIMDBG1008tStatus2E=_18f0b57980469b28e8849230bdd506ef */
extern int _18f0b57980469b28e8849230bdd506ef;
nNIKAL100_mExportSymbol(_18f0b57980469b28e8849230bdd506ef);
/* _ZN13nNIFRESNEL10023tFresnelTransferManager20startTransferManagerERN10nNIMDBG1008tStatus2E=_e9724264a11a6bfd27abdbc7e38baacc */
extern int _e9724264a11a6bfd27abdbc7e38baacc;
nNIKAL100_mExportSymbol(_e9724264a11a6bfd27abdbc7e38baacc);
/* _ZN13nNIFRESNEL10023tFresnelTransferManager25destroyAsynchronousStreamEPN10nNIMBDC10019iAsynchronousStreamERN10nNIMDBG1008tStatus2E=_918d610ebfe14b3c24c4642732fa9421 */
extern int _918d610ebfe14b3c24c4642732fa9421;
nNIKAL100_mExportSymbol(_918d610ebfe14b3c24c4642732fa9421);
/* _ZN13nNIFRESNEL10023tFresnelTransferManagerC1ERN10nNIMDBG1008tStatus2E=_89b8d97d1030fc0968a0b3aeb87188c1 */
extern int _89b8d97d1030fc0968a0b3aeb87188c1;
nNIKAL100_mExportSymbol(_89b8d97d1030fc0968a0b3aeb87188c1);
extern int _ZN13nNIFRESNEL10023tFresnelTransferManagerD1Ev;
nNIKAL100_mExportSymbol(_ZN13nNIFRESNEL10023tFresnelTransferManagerD1Ev);
/* _ZN13nNIFRESNEL10025tFresnelLibSocketListenerC1ERNS_23tFresnelTransferManagerEjRN10nNIMDBG1008tStatus2E=_b1e5a7939905724668407ef8a926fa82 */
extern int _b1e5a7939905724668407ef8a926fa82;
nNIKAL100_mExportSymbol(_b1e5a7939905724668407ef8a926fa82);
extern int _ZN13nNIFRESNEL10025tFresnelLibSocketListenerD1Ev;
nNIKAL100_mExportSymbol(_ZN13nNIFRESNEL10025tFresnelLibSocketListenerD1Ev);
/* _ZN13nNIFRESNEL10023tFresnelTransferManager24createAsynchronousStreamEjjtRN10nNIMDBG1008tStatus2E=_e9a41af8e4dffba1a5fdf7eeacfac54d */
extern int _e9a41af8e4dffba1a5fdf7eeacfac54d;
nNIKAL100_mExportSymbol(_e9a41af8e4dffba1a5fdf7eeacfac54d);
/* _ZNK13nNIFRESNEL10023tFresnelTransferManager26connectionRelatedErrorSeenEv=_55092852fa5616b2f54e40c6143b7e6e */
extern int _55092852fa5616b2f54e40c6143b7e6e;
nNIKAL100_mExportSymbol(_55092852fa5616b2f54e40c6143b7e6e);
